import { OnInit, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { HttpClient } from '@angular/common/http';
import { PagingOptions } from '../../Shared/Models/PagingOptions';
import { FormGroup } from '@angular/forms';
import { OnPagingFiltersChangeService } from '../../Shared/services/OnPagingFiltersChange.service';
export declare class PagingComponent implements OnInit {
    private http;
    private router;
    private onChangeService;
    items: any[];
    pageOfItems: Array<any>;
    result: any;
    pagerConfig: any;
    totalRow: any;
    pageSize: any;
    Pages: any;
    CurrentPage: any;
    ShowPageSizeOption: boolean;
    ShowFirstAndLast: boolean;
    hidePaginationWhenPageSizeEqualOne: boolean;
    Sum: number;
    Throttle: number;
    ScrollDistance: number;
    ScrollUpDistance: number;
    direction: string;
    Items: EventEmitter<any[]>;
    options: PagingOptions;
    group: FormGroup;
    constructor(http: HttpClient, router: Router, onChangeService: OnPagingFiltersChangeService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onDropDownChange(result: any): void;
    onChangePage(Page: any): void;
    changePageSize(e: any): void;
    onScrollDown(): void;
    getItemList(page: any, IsFilterUpdated?: boolean): void;
    ReinitializePaging: () => void;
    UpdatePaging: () => void;
}
